r7136 - in /vdr/vdr-plugin-rssreader/trunk/debian: changelog install postinst preinst

tiber-guest at users.alioth.debian.org tiber-guest at users.alioth.debian.org
Fri Jul 18 18:47:04 UTC 2008


Author: tiber-guest
Date: Fri Jul 18 18:47:04 2008
New Revision: 7136

URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/?sc=1&rev=7136
Log:
* New upstream release
* Moving config file to /etc/vdr/plugins/rssreader

Added:
    vdr/vdr-plugin-rssreader/trunk/debian/postinst
    vdr/vdr-plugin-rssreader/trunk/debian/preinst
Modified:
    vdr/vdr-plugin-rssreader/trunk/debian/changelog
    vdr/vdr-plugin-rssreader/trunk/debian/install

Modified: vdr/vdr-plugin-rssreader/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-rssreader/trunk/debian/changelog?rev=7136&op=diff
==============================================================================
--- vdr/vdr-plugin-rssreader/trunk/debian/changelog (original)
+++ vdr/vdr-plugin-rssreader/trunk/debian/changelog Fri Jul 18 18:47:04 2008
@@ -1,8 +1,10 @@
-vdr-plugin-rssreader (1.6.0-3) UNRELEASED; urgency=low
-
+vdr-plugin-rssreader (1.6.1-1) UNRELEASED; urgency=low
+
+  * New upstream release
   * Dropped patchlevel control field
   * Build-Depend on vdr-dev (>=1.6.0-5)
   * Bumped Standards-Version to 3.8.0
+  * Moving config file to /etc/vdr/plugins/rssreader
 
  -- Tobias Grimm <tg at e-tobi.net>  Thu, 17 Jul 2008 08:55:54 +0200
 

Modified: vdr/vdr-plugin-rssreader/trunk/debian/install
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-rssreader/trunk/debian/install?rev=7136&op=diff
==============================================================================
--- vdr/vdr-plugin-rssreader/trunk/debian/install (original)
+++ vdr/vdr-plugin-rssreader/trunk/debian/install Fri Jul 18 18:47:04 2008
@@ -1,3 +1,3 @@
 libvdr-rssreader.so.*          usr/lib/vdr/plugins/
-debian/rssreader.conf          etc/vdr/plugins/
+debian/rssreader.conf          etc/vdr/plugins/rssreader/
 debian/tmp/usr/share/locale

Added: vdr/vdr-plugin-rssreader/trunk/debian/postinst
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-rssreader/trunk/debian/postinst?rev=7136&op=file
==============================================================================
--- vdr/vdr-plugin-rssreader/trunk/debian/postinst (added)
+++ vdr/vdr-plugin-rssreader/trunk/debian/postinst Fri Jul 18 18:47:04 2008
@@ -1,0 +1,51 @@
+#!/bin/sh
+# postinst script for vdr-plugin-rssreader
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+oldconf=/etc/vdr/plugins/rssreader.conf
+newconf=/etc/vdr/plugins/rssreader/rssreader.conf
+
+case "$1" in
+    configure)
+	if [ -e $oldconf -a -e $newconf ] ; then
+	    rm $oldconf
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+	if [ -e $oldconf -a -e $newconf ] ; then
+	    rm $newconf
+	    dir=`dirname $newconf`
+	    [ "`ls -A $dir`" ] || rm -r $dir
+	fi
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: vdr/vdr-plugin-rssreader/trunk/debian/preinst
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-rssreader/trunk/debian/preinst?rev=7136&op=file
==============================================================================
--- vdr/vdr-plugin-rssreader/trunk/debian/preinst (added)
+++ vdr/vdr-plugin-rssreader/trunk/debian/preinst Fri Jul 18 18:47:04 2008
@@ -1,0 +1,48 @@
+#!/bin/sh
+# preinst script for vdr-plugin-rssreader
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+oldconf=/etc/vdr/plugins/rssreader.conf
+newconf=/etc/vdr/plugins/rssreader/rssreader.conf
+
+case "$1" in
+    install|upgrade)
+	if [ -e $oldconf -a ! -e $newconf ] ; then
+	    mkdir -p `dirname $newconf`
+	    cp $oldconf $newconf
+	fi
+    ;;
+
+    abort-upgrade)
+	if [ -e $oldconf -a -e $newconf ] ; then
+	    rm $newconf
+	    dir=`dirname $newconf`
+	    [ "`ls -A $dir`" ] || rm -r $dir
+	fi
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+




More information about the pkg-vdr-dvb-changes mailing list